## com.imcode.imcms.mapping.orm
Class Include

    java.lang.Object
      com.imcode.imcms.mapping.orm.Include

    public class Include

extends java.lang.Object

Text document include.

Constructor Summary
`Include()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.Long` `getId()`
`java.lang.Integer` `getIncludedDocumentId()`
`java.lang.Integer` `getIndex()`
`java.lang.Integer` `getMetaId()`
`int` `hashCode()`
`void` `setId(java.lang.Long id)`
`void` `setIncludedDocumentId(java.lang.Integer includedMetaId)`
`void` `setIndex(java.lang.Integer index)`
`void` `setMetaId(java.lang.Integer metaId)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Include

    public Include()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getIncludedDocumentId

    public java.lang.Integer getIncludedDocumentId()

### setIncludedDocumentId

    public void setIncludedDocumentId(java.lang.Integer includedMetaId)

### getIndex

    public java.lang.Integer getIndex()

### setIndex

    public void setIndex(java.lang.Integer index)